> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notification History

> Retrieve user's alert history with pagination, filtering by app, and detailed notification metadata



## OpenAPI

````yaml /openapi/alerts.json get /v2/history
openapi: 3.1.0
info:
  title: Dialect Alerts V2 API
  description: >-
    Notification infrastructure for real-time alert delivery through multiple
    channels including in-app notifications, email, push notifications, and
    Telegram.
  version: 2.2.0-beta
servers:
  - url: https://alerts-api.dial.to
    description: Dialect Production
  - url: https://alerts.dialectapi.to
    description: Dialect Production
security: []
paths:
  /v2/history:
    get:
      tags:
        - Integrate an Inbox
      summary: Get Notification History
      description: >-
        Retrieve user's alert history with pagination, filtering by app, and
        detailed notification metadata
      operationId: getNotificationHistory
      parameters:
        - name: appId
          in: query
          schema:
            type: string
            format: uuid
            description: Application ID
            example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
        - name: limit
          in: query
          schema:
            type: number
            minimum: 1
            maximum: 20
            default: 10
            description: Pagination limit
            example: 10
        - name: cursor
          in: query
          schema:
            type: string
            contentEncoding: base64
            description: Pagination cursor
        - name: X-Dialect-Client-Key
          in: header
          required: true
          schema:
            type: string
            description: Client Key used to uniquely identify the client
            example: dk_gyh2eqzfkc4mhp5eiahnndkz
      responses:
        '200':
          description: Notification history retrieved with detailed alert data
          content:
            application/json:
              schema:
                type: object
                properties:
                  alerts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Id uniquely identifying alerts
                        timestamp:
                          type: string
                          description: ISO Timestamp
                          example: '2024-02-20T15:30:00.000Z'
                        title:
                          type: string
                          minLength: 1
                          maxLength: 100
                        body:
                          type: string
                          minLength: 1
                          maxLength: 500
                        image:
                          type: string
                          format: uri
                          description: Image URL
                          example: https://www.dialect.to/favicon.ico
                        actions:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                const: link
                              label:
                                type: string
                                minLength: 1
                                maxLength: 50
                              url:
                                type: string
                                format: uri
                                minLength: 1
                              context:
                                type: object
                                properties:
                                  type:
                                    type: string
                                    const: position
                                  apiUrl:
                                    type: string
                                    format: uri
                                  action:
                                    type: string
                                    minLength: 1
                                required:
                                  - type
                                  - apiUrl
                            required:
                              - type
                              - label
                              - url
                        topic:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              minLength: 1
                              description: Topic ID
                              example: 123e4567-e89b-12d3-a456-426614174000
                            name:
                              type: string
                              minLength: 1
                              description: Topic name
                              example: Product Announcements
                            slug:
                              type: string
                              minLength: 1
                              description: Topic slug
                              example: product-announcements
                          required:
                            - id
                            - name
                            - slug
                        app:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Application ID
                              example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
                            name:
                              type: string
                              minLength: 1
                              description: Application name
                              example: Dialect
                            icon:
                              type: string
                              format: uri
                              description: Icon URL
                              example: >-
                                https://dialect-file-storage.s3.us-west-2.amazonaws.com/avatars/dialect-logo.png
                          required:
                            - id
                            - name
                        data:
                          type: object
                          propertyNames:
                            type: string
                            pattern: ^[a-zA-Z0-9_-]+$
                            minLength: 1
                            maxLength: 64
                          additionalProperties:
                            type: string
                            minLength: 1
                            maxLength: 500
                          description: >-
                            Additional data to be sent with the alert. For push
                            notifications, this data will be available in the
                            notification payload and can be used by the app to
                            handle the notification. Common use cases include
                            deep linking, custom actions, or passing context to
                            the app.
                          example:
                            type: transaction
                            transactionId: '123'
                            amount: '100'
                      required:
                        - id
                        - timestamp
                        - title
                        - body
                  summary:
                    type: object
                    properties:
                      unreadCount:
                        type: number
                        description: Total number of unread alerts
                        example: 5
                      lastRead:
                        type: object
                        properties:
                          timestamp:
                            type: string
                            format: date-time
                            description: ISO Timestamp
                            example: '2024-02-20T15:30:00.000Z'
                        required:
                          - timestamp
                    required:
                      - unreadCount
                  limit:
                    type: number
                    minimum: 1
                    maximum: 20
                    default: 10
                    description: Pagination limit
                    example: 10
                  cursor:
                    type: string
                    contentEncoding: base64
                    description: Pagination cursor
                required:
                  - alerts
                  - summary
                  - limit
        '400':
          description: Request validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                required:
                  - error
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '422':
          description: Constraint validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - subscriber: []
components:
  securitySchemes:
    subscriber:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication for subscriber calls

````